#ifndef FILE_COMPLETE_H
#define FILE_COMPLETE_H

/* ***************************************************
    如果编译的结果的【执行】环境为GBK, 请手动定义宏 
            STRCODE_GBK
    否则默认是 UTF-8 编码。
******************************************************
    添加截止符号，提示路径时，以此截断，比如当前输入为：
            GetFile someparm|tesa_fil_
    如果设置了截止符号|, 提示时将认为 tesa_fil 是某个
    文件的名称开头，否则认为 someparm|tesa_fil 是文件
    名称的开头
******************************************************/
void fc_append(char deadline_ch);

/*****************************************************
    读取用户输入，替代 std::getline
******************************************************/
char* fc_readline();

/*****************************************************
    用于释放 fc_readline() 返回的 buffer 堆内存。
******************************************************/
void fc_free(char* str);

#endif